All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.remotefileselector
Class RemoteFileSearchPanel

    com.sas.swing.visuals.remotefileselector.RemoteFileSearchPanel

All Implemented Interfaces:
  ActionProviderViewInterface, SwingActionProviderViewInterface, com.sas.collection.ContentsChangedListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  InformationServicesSearchPanel

    public class RemoteFileSearchPanel

implements java.beans.PropertyChangeListener

RemoteFileSearchPanel class handles the display of the search window. It can be used as a dialog or as a panel.

Since:
  3.0
See Also:
  Serialized Form

Field Summary
`RemoteFileSearchComponent` | `searchPanel`
`protected java.util.List` | `selectedObjects`
`RemoteFileTableComponent` | `tablePanel`

Fields inherited from class com.sas.swing.visuals.remotefileselector.BaseRemoteFileSelectorPanel
`buttonPanel, cancelled, columnNames, component, DRILL_DOWN_FILTER, drillDownFilter, filePanel, fileTypes, FILTER_TYPE_FILTER, filterTypeFilter, model, serviceModel, shortcutPanel, supportType, TABLE_DATA_FILTER, TABLE_HEADER_FILTER, tableColumnHeaderFilter, tableDataCellFilter, TOOLBAR_FILTER, toolbarFilter, transforms, viewerSupport, viewPanel`

Constructor Summary
`RemoteFileSearchPanel()` Default Constructor
`RemoteFileSearchPanel(java.lang.String initialPath, com.sas.util.transforms.TransformInterface[] transforms, java.lang.String[] columnNames, java.lang.Object[] columnRenderers, RemoteFileSearchModelInterface serviceModel)` Allows specification of the search starting path, the column transforms, the column names, column renderers and a file system service model.
`RemoteFileSearchPanel(java.lang.String initialPath, com.sas.util.transforms.TransformInterface[] transforms, java.lang.String[] columnNames, RemoteFileSearchModelInterface serviceModel)` Allows specification of the search starting path, the column transforms, the column names and a file system service model.

Method Summary
`java.util.List` | `getReturnedInformation(boolean returnSelectedItems)` Returns the currently selected files or directories.
`void` | `initialize(java.lang.String initialPath, com.sas.util.transforms.TransformInterface[] transforms, java.lang.String[] columnNames, java.lang.Object[] columnRenderers, RemoteFileSearchModelInterface serviceModel, java.lang.String supportType)` Allows specification of the search starting path, the column transforms, the column names, column renderers, a file system service model and the Action Provider Framework support type.
`void` | `propertyChange(java.beans.PropertyChangeEvent e)` Listens for changes in the selections made on the table component.
`void` | `setCurrentPath(java.lang.String path)` Sets the current search starting path.
`static java.util.List` | `showDialog(java.awt.Frame parent, java.lang.String titleOfDialog, boolean modal, int typeOfDialog, java.lang.String initialPath, com.sas.util.transforms.TransformInterface[] transforms, java.lang.String[] columnNames, RemoteFileSearchModelInterface serviceModel, boolean returnSelectedItems)` Shows the panel within a dialog window.
`static java.util.List` | `showDialog(java.awt.Frame parent, java.lang.String initialPath, RemoteFileSearchPanel panel)` Allows specification of a parent frame, the search starting path, and a panel to display.

Methods inherited from class com.sas.swing.visuals.remotefileselector.BaseRemoteFileSelectorPanel
`contentsChanged, getActionProvider, getActionSupportFilter, getActionSupportType, getUniqueId, getViewComponent, initialize, initialize, isActionVisible, isCancelled, isShowDirectoriesOnly, listActionTypes, listAreaTypes, setActionProvider, setActionSupportType, setActionVisible, setCancelled, setColumnLabels, setDialogType, setServiceModel, setShowButtonPanel, setShowDirectoriesOnly, setShowFileNamePanel, setShowShortcutPanel, setTransforms, setUniqueId, showDialog`

Field Detail

### tablePanel

    public RemoteFileTableComponent tablePanel

### searchPanel

    public RemoteFileSearchComponent searchPanel

### selectedObjects

    protected java.util.List selectedObjects

Constructor Detail

### RemoteFileSearchPanel

    public RemoteFileSearchPanel()

  Default Constructor

### RemoteFileSearchPanel

    public RemoteFileSearchPanel(java.lang.String initialPath,
                                 com.sas.util.transforms.TransformInterface[] transforms,
                                 java.lang.String[] columnNames,
                                 RemoteFileSearchModelInterface serviceModel)

  Allows specification of the search starting path, the column transforms, the column names and a file system service model.

  Parameters:
    `initialPath` - the initial path to start the search
    `transforms` - specifies transform objects for reading the columns
    `columnNames` - specifies the names of the column headers
    `serviceModel` - the file system service model

### RemoteFileSearchPanel

    public RemoteFileSearchPanel(java.lang.String initialPath,
                                 com.sas.util.transforms.TransformInterface[] transforms,
                                 java.lang.String[] columnNames,
                                 java.lang.Object[] columnRenderers,
                                 RemoteFileSearchModelInterface serviceModel)

  Allows specification of the search starting path, the column transforms, the column names, column renderers and a file system service model.

  Parameters:
    `initialPath` - the initial path to start the search
    `transforms` - specifies transform objects for reading the columns
    `columnNames` - specifies the names of the column headers
    `columnRenderers` - specifies the renderers used to format the columns
    `serviceModel` - the file system service model

Method Detail

### showDialog

    public static java.util.List showDialog(java.awt.Frame parent,
                                            java.lang.String titleOfDialog,
                                            boolean modal,
                                            int typeOfDialog,
                                            java.lang.String initialPath,
                                            com.sas.util.transforms.TransformInterface[] transforms,
                                            java.lang.String[] columnNames,
                                            RemoteFileSearchModelInterface serviceModel,
                                            boolean returnSelectedItems)

  Shows the panel within a dialog window.

  Parameters:
    `parent` - the parent of the dialog window
    `titleOfDialog` - text to be used as the title of the dialog window
    `modal` - specifies whether the window is modal
    `typeOfDialog` - specifies whether this dialog functions as a Save, Open, or OK window. Specify OK = 0, Save = 1, Open = 2
    `initialPath` - the initial path to start the search
    `transforms` - specifies transform objects for reading the columns
    `columnNames` - specifies the names of the column headers
    `serviceModel` - the file system service model
    `returnSelectedItems` - specifies whether to return the selected search results when the window is closed
  Returns:
    the list of Strings containing the selected search results

### showDialog

    public static java.util.List showDialog(java.awt.Frame parent,
                                            java.lang.String initialPath,
                                            RemoteFileSearchPanel panel)

  Allows specification of a parent frame, the search starting path, and a panel to display. Should be used when calling from the FindAction class.

  Parameters:
    `parent` - the parent of the panel
    `initialPath` - the initial path to start the search
    `panel` - a panel class to be used
  Returns:
    the list of selected search results

### initialize

    public void initialize(java.lang.String initialPath,
                           com.sas.util.transforms.TransformInterface[] transforms,
                           java.lang.String[] columnNames,
                           java.lang.Object[] columnRenderers,
                           RemoteFileSearchModelInterface serviceModel,
                           java.lang.String supportType)

  Allows specification of the search starting path, the column transforms, the column names, column renderers, a file system service model and the Action Provider Framework support type.

  Parameters:
    `initialPath` - the initial path to start the search
    `transforms` - specifies transform objects for reading the columns
    `columnNames` - specifies the names of the column headers
    `columnRenderers` - specifies the renderers used to format the columns
    `serviceModel` - the file system service model
    `supportType` - specifies the Action Provider Framework support type

### getReturnedInformation

    public java.util.List getReturnedInformation(boolean returnSelectedItems)

  Returns the currently selected files or directories.

  Overrides:
    `getReturnedInformation` in class `BaseRemoteFileSelectorPanel`
  Parameters:
    `returnSelectedItems` -
  Returns:
    the selected information

### setCurrentPath

    public void setCurrentPath(java.lang.String path)

  Sets the current search starting path.

  Parameters:
    `path` - the path where searching will start

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Listens for changes in the selections made on the table component.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `e` - the property change event

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.